Bug 418191 - don't attempt to run cron job if cyrus-imapd isn't running/enabled
don't attempt to run cron job if cyrus-imapd isn't running/enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 10:35 EST by Chris Schanzle
Modified: 2008-11-26 12:37 EST (History)
1 user (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2007-12-10 10:35:48 EST
Description of problem:
if cyrus-imapd is installed but not running, system maillog is spammed by cron job.

Version-Release number of selected component (if applicable):
cyrus-imapd-2.3.9-7.fc8

How reproducible:
100%

Steps to Reproduce:
1. clean install, install cyrus-imapd
2. wait until 4am cron job
3. read maillog

Actual results:

Dec 10 04:14:36 acura ctl_mboxlist[32551]: DBERROR: reading
/var/lib/imap/db/skipstamp, assuming the worst: No such file or directory
Dec 10 04:14:36 acura ctl_mboxlist[32551]: skiplist: recovered
/var/lib/imap/mailboxes.db (0 records, 144 bytes) in 0 seconds

Expected results:
No messages

Additional info:

can we add functionality to /etc/cron.*/cyrus-imapd so that it exits without
doing anything if cyrus is not enabled and/or not running?

Perhaps add something like:

  [ ! -f /var/lib/imap/db/skipstamp ] && exit 0
or
  chkconfig cyrus-imapd 2> /dev/null || exit 0
or
  service cyrus-imapd 2> /dev/null || exit 0

Thanks!
Comment 1 Tomas Janousek 2008-02-08 05:58:01 EST
This happens only before cyrus is first started. The fix is committed and will
be released in an update, as soon as something more important happens.
Comment 3 Bug Zapper 2008-11-26 03:56:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-11-26 12:37:03 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.